Subject: Re: [PATCH 1/1] wifi: ath9k: Remove Qwest/Actiontec 802AIN ID

From: Kalle Valo <[email-masked]>
Date: Mon, 06 Mar 2023 15:49:47 +0200

Bastian Germann <[email-masked]> writes:

> Am 06.03.23 um 14:07 schrieb Kalle Valo:
>> Bastian Germann <[email-masked]> writes:
>>
>>> The USB device 1668:1200 is Qwest/Actiontec 802AIN which is also
>>> correctly claimed to be supported by carl9170.
>>>
>>> Supposedly, the successor 802AIN2 which has an ath9k compatible chip
>>> whose USB ID (unknown) could be inserted instead.
>>>
>>> Drop the ID from the wrong driver.
>>>
>>> Signed-off-by: Bastian Germann <[email-masked]>
>>
>> Thanks, I see this patch now.
>>
>> I guess there's a bug report somewhere, do you have a link?
>
> No, I happened to find this by chance while packaging the ath9k and
> carl9170 firmware for Debian,
> which have the ID represented in an XML format:
> https://salsa.debian.org/debian/open-ath9k-htc-firmware/-/blob/master/debian/firmware-ath9k-htc.metainfo.xml

Do you mind if we add this (without the link) to the commit log? It's
good to always document the background of the patch.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches